Skip to main content
GET
/
v1
/
webhooks
/
configs
/
:id
Get webhook config
curl --request GET \
  --url https://api.beltic.com/v1/webhooks/configs/:id \
  --header 'X-Api-Key: <api-key>'
{
  "data": {
    "type": "webhook_config",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attributes": {
      "resource_type": "document",
      "url": "https://example.com/webhooks/documents",
      "subscribed_statuses": [
        "processed",
        "failed"
      ],
      "secret_prefix": "abc12...",
      "is_active": true,
      "created_at": "2026-01-16T10:00:00.000Z",
      "updated_at": "2026-01-16T10:00:00.000Z"
    }
  }
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Access https://console.beltic.com/ to obtain your API key.

Path Parameters

id
string<uuid>
required

Webhook config ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Webhook config details

data
object
required